import { getServiceGraphForAzure, getSpecmaticContractsListingForAzure, } from '../../models/contracts.js';
import { queryContextInputParser } from '../../models/utils.js';
import { passInputTo, t } from './trpc.js';
export default t.router({
    getServiceGraphForAzure: t.procedure
        .input(queryContextInputParser)
        .query(passInputTo(getServiceGraphForAzure)),
    getSpecmaticContractsListingForAzure: t.procedure
        .input(queryContextInputParser)
        .query(passInputTo(getSpecmaticContractsListingForAzure)),
});
